package easydo.technology.controller;

import easydo.technology.model.ProductMaterial;
import easydo.technology.service.ProductMaterialService;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Map;

@RestController
@RequestMapping("/processMaterial")
public class ProductMaterialController {

    @Resource
    ProductMaterialService productMaterialService;

    @RequestMapping(value = "/getList")
    public Object getList(@RequestBody Map<String, Object> map) throws Exception {
        Object list = productMaterialService.getList(map);
        return new ResponseEntity<>(list, HttpStatus.OK);
    }

    @RequestMapping(value = "/getPage")
    public Object getPage(@RequestBody Map<String, Object> map) throws Exception {
        Object page = productMaterialService.getPage(map);
        return new ResponseEntity<>(page, HttpStatus.OK);
    }

    @RequestMapping(value = "/save")
    public Object save(@RequestBody ProductMaterial model) throws Exception {
        Object result = productMaterialService.save(model);
        return new ResponseEntity<>(result, HttpStatus.OK);
    }

    @RequestMapping(value = "/update")
    public Object update(@RequestBody ProductMaterial model) throws Exception {
        Object result = productMaterialService.update(model);
        return new ResponseEntity<>(result, HttpStatus.OK);
    }

    @RequestMapping(value = "/remove")
    public Object remove(@RequestBody ProductMaterial model) throws Exception {
        Object result = productMaterialService.remove(model);
        return new ResponseEntity<>(result, HttpStatus.OK);
    }
}
